NativeComponentExtension (Gradle API 9.7.0)
Description: declaration: package: org.gradle.nativeplatform, interface: NativeComponentExtension

# Interface NativeComponentExtension

@Incubating @Deprecated public interface NativeComponentExtension
Deprecated.
The Gradle software model is deprecated and will be removed in Gradle 10. Use the new component model (e.g. `cpp-application`, `cpp-library`, `swift-application`, `swift-library`, `xctest`) instead.
The configuration for native components generated by this build.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `executables(Action<? super NamedDomainObjectContainer<? super NativeExecutableSpec>> action)`
  Deprecated.
  Configure the `NativeExecutableSpec` components produced by the build.
  `NamedDomainObjectContainer<NativeExecutableSpec>`
  `getExecutables()`
  Deprecated.
  The `NativeExecutableSpec` components produced by the build.
  `NamedDomainObjectContainer<NativeLibrarySpec>`
  `getLibraries()`
  Deprecated.
  The `NativeLibrarySpec` components produced by the build.
  `void`
  `libraries(Action<? super NamedDomainObjectContainer<? super NativeLibrarySpec>> action)`
  Deprecated.
  Configure the `NativeLibrarySpec` components produced by the build.

- ## Method Details

  - ### getExecutables

    NamedDomainObjectContainer<NativeExecutableSpec> getExecutables()
    Deprecated.
    The `NativeExecutableSpec` components produced by the build.

  - ### executables

    void executables(Action<? super NamedDomainObjectContainer<? super NativeExecutableSpec>> action)
    Deprecated.
    Configure the `NativeExecutableSpec` components produced by the build.

  - ### getLibraries

    NamedDomainObjectContainer<NativeLibrarySpec> getLibraries()
    Deprecated.
    The `NativeLibrarySpec` components produced by the build.

  - ### libraries

    void libraries(Action<? super NamedDomainObjectContainer<? super NativeLibrarySpec>> action)
    Deprecated.
    Configure the `NativeLibrarySpec` components produced by the build.